"""empty message

Revision ID: e6df5271c730
Revises: 035f80919f58
Create Date: 2023-08-01 10:30:54.206903

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "e6df5271c730"
down_revision = "035f80919f58"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "backends",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("project_name", sa.String(length=50), nullable=False),
        sa.Column("name", sa.String(length=50), nullable=False),
        sa.Column("type", sa.String(length=30), nullable=False),
        sa.Column("config", sa.String(length=2000), nullable=False),
        sa.Column("auth", sa.String(length=2000), nullable=False),
        sa.ForeignKeyConstraint(
            ["project_name"],
            ["projects.name"],
            name=op.f("fk_backends_project_name_projects"),
            ondelete="CASCADE",
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_backends")),
    )
    with op.batch_alter_table("projects", schema=None) as batch_op:
        batch_op.drop_column("backend")
        batch_op.drop_column("config")
        batch_op.drop_column("auth")

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("projects", schema=None) as batch_op:
        batch_op.add_column(sa.Column("auth", sa.VARCHAR(length=300), nullable=False))
        batch_op.add_column(sa.Column("config", sa.VARCHAR(length=300), nullable=False))
        batch_op.add_column(sa.Column("backend", sa.VARCHAR(length=30), nullable=False))

    op.drop_table("backends")
    # ### end Alembic commands ###
